<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of Plugin "Widget Delicious".
# Copyright (c) 2008 Pascal MARTIN and contributors. All rights
# reserved.
#
# Plugin "Widget Delicious" is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# Plugin "Widget Delicious" is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

$core->addBehavior('initWidgets',
    array('adminWidgetDeliciousBehaviors', 'initWidgets'));

class adminWidgetDeliciousBehaviors
{
    public static function initWidgets(&$w)
    {
        global $core;
        
        $w->create('WidgetDelicious', __('Favoris del.icio.us'),
            array('publicWidgetDelicious', 'delicious'));
        
        $w->WidgetDelicious->setting('title', __('Titre <span style="display: inline; color: red">*</span> :'), 'Mes favoris del.icio.us', 'text');
        
        $w->WidgetDelicious->setting('login', __('Login del.icio.us <span style="display: inline; color: red">*</span> :'), '', 'text');
        $w->WidgetDelicious->setting('password', __('Password del.icio.us <span style="display: inline; color: red">*</span> :'), '', 'text');
        
        $w->WidgetDelicious->setting('numLinksToDisplay', __('Nombre de Favoris (max) à afficher <span style="display: inline; color: red">*</span> :'), 10, 'combo', 
            array('5' => 5, '10' => 10, '15' => 15, '20' => 20));
        
        $w->WidgetDelicious->setting('tagsNo', __('Exclusion des favoris porteurs des tags :'), '', 'textarea');
        $w->WidgetDelicious->setting('tagsYes', __('Inclusion des favoris porteurs des tags <span style="display: inline; color: red">*</span> :'), '', 'textarea');
        
        $w->WidgetDelicious->setting('useFavicons', __('Afficher les Favicons ?'), true, 'check');
        $w->WidgetDelicious->setting('defaultFavicon', __('Image quand Favicon non trouvé :'), $core->blog->url . 'pf=delicious/external.gif', 'text');
        
        $w->WidgetDelicious->setting('displayDates', __('Afficher les dates ?'), true, 'check');
        
        $w->WidgetDelicious->setting('displayAllLink', __('Afficher le lien "Voir tous" ?'), true, 'check');
        $w->WidgetDelicious->setting('textAllLinks', __('Texte du lien "Voir tous" :'), 'Tous mes favoris sur del.icio.us', 'text');
        $w->WidgetDelicious->setting('idAllLink', __('Identifiant du bloc "Voir tous" : '), 'allDeliciousLinks', 'text');
        
        $w->WidgetDelicious->setting('idDiv', __('Identifiant du bloc del.icio.us <span style="display: inline; color: red">*</span> :'), 'delicious', 'text');
        $w->WidgetDelicious->setting('classDiv', __('Classe du bloc del.icio.us <span style="display: inline; color: red">*</span> :'), 'delicious', 'text');
        
        $w->WidgetDelicious->setting('cacheDuration', __('Durée de mise en cache <span style="display: inline; color: red">*</span> :'), 30, 'combo', 
            array('Désactivé (non recommandé !)' => 0, '10 mins' => 10, '30 mins' => 30, '1 h' => 60, '3 h' => 180, '6 h' => 360, '12 h' => 12*60, '24 h' => 24*60));
        $w->WidgetDelicious->setting('cacheFile', __('Nom du fichier de cache <span style="display: inline; color: red">*</span> :'), 'delicious.cache.html', 'text');
        $w->WidgetDelicious->setting('timeout', __('Timeout (secondes) <span style="display: inline; color: red">*</span> :'), '2', 'text');
        $w->WidgetDelicious->setting('errorAsHTMLComment', __('Afficher les erreurs en commentaire HTML (debug) ?'), false, 'check');
        
    } // initWidgets
    
} // class adminWidgetDeliciousBehaviors
?>